#include "circle.h"
#include "segment.h"
#include "image.h"

#define SCENE_MAX_CIRCLESN 100
#define SCENE_MAX_SEGMENTSN 100

class Scene {

  Circle *circles[SCENE_MAX_CIRCLESN];
  int circlesN;
  Segment *segments[SCENE_MAX_SEGMENTSN];
  int segmentsN;
  Image *frameBuffer;
  Color backgroundColor;
public:
  Scene() : circlesN(0), segmentsN(0), frameBuffer(0), backgroundColor(' ') {};
  void Load(char *fileName);
  void LoadFrameBuffer(istream &istr);
  void Render();
};
