#ifndef _SEGMENT_H_
#define _SEGMENT_H_

#include "v2d.h"

class Segment {
  V2D eps[2];
public:
  // constructors
  Segment(V2D &ep0, V2D &ep1);
  Segment(V2D *_eps);
  // access to endpoints
  V2D& operator[](int i);
  // drawing
  void Rasterize(Image &image, Color &color);
  // other functions
  float Length();
};

#endif